Package org.eclipse.net4j.util.io

# Class DataInputOutputFile

java.lang.Object
org.eclipse.net4j.util.io.DataInputOutputFile

All Implemented Interfaces:
  `Closeable`, `DataInput`, `DataOutput`, `Flushable`, `AutoCloseable`

public class DataInputOutputFile extends Object implements DataInput, DataOutput, Flushable, Closeable

Since:
  3.3
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`DataInputOutputFile(File file, String mode)`
`DataInputOutputFile(File file, String mode, int bufferSize)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`long`
`getFilePointer()`
`long`
`length()`
`int`
`read()`
`int`
`read(byte[] array)`
`int`
`read(byte[] array, int offset, int length)`
`boolean`
`readBoolean()`
`byte`
`readByte()`
`byte[]`
`readBytes(int count)`
`char`
`readChar()`
`double`
`readDouble()`
`float`
`readFloat()`
`void`
`readFully(byte[] array)`
`void`
`readFully(byte[] array, int offset, int length)`
`int`
`readInt()`
`String`
`readLine()`
`long`
`readLong()`
`short`
`readShort()`
`int`
`readUnsignedByte()`
`int`
`readUnsignedShort()`
`String`
`readUTF()`
`void`
`seek(long filePointer)`
`int`
`skipBytes(int n)`
`void`
`write(byte[] array)`
`void`
`write(byte[] array, int offset, int length)`
`void`
`write(int byteValue)`
`void`
`writeBoolean(boolean value)`
`void`
`writeByte(int value)`
`void`
`writeBytes(String value)`
`void`
`writeChar(int value)`
`void`
`writeChars(String value)`
`void`
`writeDouble(double value)`
`void`
`writeFloat(float value)`
`void`
`writeInt(int value)`
`void`
`writeLong(long value)`
`void`
`writeShort(int value)`
`void`
`writeUTF(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DataInputOutputFile

public DataInputOutputFile(File file, String mode) throws FileNotFoundException

Throws:
  `FileNotFoundException`

### DataInputOutputFile

public DataInputOutputFile(File file, String mode, int bufferSize) throws FileNotFoundException

Throws:
  `FileNotFoundException`

## Method Details

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Throws:
  `IOException`

### seek

public void seek(long filePointer) throws IOException

Throws:
  `IOException`

### getFilePointer

public long getFilePointer() throws IOException

Throws:
  `IOException`

### length

public long length() throws IOException

Throws:
  `IOException`

### skipBytes

public int skipBytes(int n) throws IOException

Specified by:
  `skipBytes` in interface `DataInput`
Throws:
  `IOException`

### read

public int read() throws IOException

Throws:
  `IOException`

### read

public int read(byte[] array, int offset, int length) throws IOException

Throws:
  `IOException`

### read

public int read(byte[] array) throws IOException

Throws:
  `IOException`

### readBytes

public byte[] readBytes(int count) throws IOException

Throws:
  `IOException`

### readFully

public void readFully(byte[] array) throws IOException

Specified by:
  `readFully` in interface `DataInput`
Throws:
  `IOException`

### readFully

public void readFully(byte[] array, int offset, int length) throws IOException

Specified by:
  `readFully` in interface `DataInput`
Throws:
  `IOException`

### readBoolean

public boolean readBoolean() throws IOException

Specified by:
  `readBoolean` in interface `DataInput`
Throws:
  `IOException`

### readByte

public byte readByte() throws IOException

Specified by:
  `readByte` in interface `DataInput`
Throws:
  `IOException`

### readUnsignedByte

public int readUnsignedByte() throws IOException

Specified by:
  `readUnsignedByte` in interface `DataInput`
Throws:
  `IOException`

### readShort

public short readShort() throws IOException

Specified by:
  `readShort` in interface `DataInput`
Throws:
  `IOException`

### readUnsignedShort

public int readUnsignedShort() throws IOException

Specified by:
  `readUnsignedShort` in interface `DataInput`
Throws:
  `IOException`

### readChar

public char readChar() throws IOException

Specified by:
  `readChar` in interface `DataInput`
Throws:
  `IOException`

### readInt

public int readInt() throws IOException

Specified by:
  `readInt` in interface `DataInput`
Throws:
  `IOException`

### readLong

public long readLong() throws IOException

Specified by:
  `readLong` in interface `DataInput`
Throws:
  `IOException`

### readFloat

public float readFloat() throws IOException

Specified by:
  `readFloat` in interface `DataInput`
Throws:
  `IOException`

### readDouble

public double readDouble() throws IOException

Specified by:
  `readDouble` in interface `DataInput`
Throws:
  `IOException`

### readLine

public String readLine() throws IOException

Specified by:
  `readLine` in interface `DataInput`
Throws:
  `IOException`

### readUTF

public String readUTF() throws IOException

Specified by:
  `readUTF` in interface `DataInput`
Throws:
  `IOException`

### write

public void write(int byteValue) throws IOException

Specified by:
  `write` in interface `DataOutput`
Throws:
  `IOException`

### write

public void write(byte[] array) throws IOException

Specified by:
  `write` in interface `DataOutput`
Throws:
  `IOException`

### write

public void write(byte[] array, int offset, int length) throws IOException

Specified by:
  `write` in interface `DataOutput`
Throws:
  `IOException`

### writeBoolean

public void writeBoolean(boolean value) throws IOException

Specified by:
  `writeBoolean` in interface `DataOutput`
Throws:
  `IOException`

### writeByte

public void writeByte(int value) throws IOException

Specified by:
  `writeByte` in interface `DataOutput`
Throws:
  `IOException`

### writeShort

public void writeShort(int value) throws IOException

Specified by:
  `writeShort` in interface `DataOutput`
Throws:
  `IOException`

### writeChar

public void writeChar(int value) throws IOException

Specified by:
  `writeChar` in interface `DataOutput`
Throws:
  `IOException`

### writeInt

public void writeInt(int value) throws IOException

Specified by:
  `writeInt` in interface `DataOutput`
Throws:
  `IOException`

### writeLong

public void writeLong(long value) throws IOException

Specified by:
  `writeLong` in interface `DataOutput`
Throws:
  `IOException`

### writeFloat

public void writeFloat(float value) throws IOException

Specified by:
  `writeFloat` in interface `DataOutput`
Throws:
  `IOException`

### writeDouble

public void writeDouble(double value) throws IOException

Specified by:
  `writeDouble` in interface `DataOutput`
Throws:
  `IOException`

### writeBytes

public void writeBytes(String value) throws IOException

Specified by:
  `writeBytes` in interface `DataOutput`
Throws:
  `IOException`

### writeChars

public void writeChars(String value) throws IOException

Specified by:
  `writeChars` in interface `DataOutput`
Throws:
  `IOException`

### writeUTF

public void writeUTF(String value) throws IOException

Specified by:
  `writeUTF` in interface `DataOutput`
Throws:
  `IOException`